<?php

class Simplyin_Env {


	/**
	 * @return string[]
	 */
	public static function read(): array {
		return self::get_default();
	}

	/**
	 * @return string[]
	 */
	private static function get_default(): array {
		return [
			'BACKEND_ENVIRONMENT_DEV'     => '',
			'BACKEND_ENVIRONMENT_STAGE'   => '',
			'BACKEND_ENVIRONMENT_PREPROD' => '',
			'BACKEND_ENVIRONMENT_PROD'    => 'https://prod.backend.simply.in/api/',
			'APP_VERSION_PREFIX_STAGE'    => 'st',
			'APP_VERSION_PREFIX_DEV'      => 'dev',
			'APP_VERSION_PREFIX_PREPROD'  => 'pp',
			'APP_VERSION_PREFIX_PROD'     => '',
			'BACKEND_STAGE_URL'           => '',
			'BACKEND_PREPROD_URL'         => '',
			'BACKEND_PROD_URL'            => 'https://prod.backend.simply.in/api/',
			'APP_ENV'                     => 'prod',
		];
	}
}
